"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NodeDao_1 = require("../modules/node/NodeDao");
const NodeVersionUpgradeInitializer_1 = require("../NodeVersionUpgradeInitializer");
jest.mock('../modules/node/NodeDao');
describe('NodeVersionUpgradeInitializer', () => {
    beforeEach(() => {
        jest.clearAllMocks();
    });
    it('should initialize when not already initialized', async () => {
        const mockProperties = {
            buildPlaneVersion: '1.0'
        };
        const mockApplicationContext = {
            get: jest.fn()
        };
        const nodeVersionUpgradeInitializer = new NodeVersionUpgradeInitializer_1.NodeVersionUpgradeInitializer();
        const mockNodeDaoQuery = jest.fn();
        NodeDao_1.NodeDao.prototype.query = mockNodeDaoQuery.mockResolvedValueOnce({});
        await nodeVersionUpgradeInitializer.init({
            applicationContext: mockApplicationContext,
            properties: mockProperties,
            logger: console
        });
        expect(mockNodeDaoQuery).toHaveBeenCalledTimes(1);
    });
});
//# sourceMappingURL=NodeVersionUpgradeInitializer.test.js.map