"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SystemServiceRepository = void 0;
const node_util_1 = require("node:util");
const logger_1 = require("@jfrog-pipelines/logger");
const DatabaseSystemConfigurationDataAdapter_1 = require("./DatabaseSystemConfigurationDataAdapter");
class SystemServiceRepository {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('SystemServiceRepository');
        this.systemConfig = new DatabaseSystemConfigurationDataAdapter_1.DatabaseSystemConfigurationDataAdapter();
    }
    async getExternalURL() {
        try {
            return await this.systemConfig.getExternalApiUrl();
        }
        catch (error) {
            this.logger.error(`Failed to get external URL due to ${(0, node_util_1.inspect)(error)}`);
            return '';
        }
    }
}
exports.SystemServiceRepository = SystemServiceRepository;
//# sourceMappingURL=SystemServiceRepository.js.map