"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserRepository = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const UserDataAdapterFactory_1 = require("./UserDataAdapterFactory");
class UserRepository {
    constructor() {
        this.adapter = UserDataAdapterFactory_1.UserDataAdapterFactory.create(microservice_1.AclAdapterDi.api);
    }
    async getProjectById(id) {
        return this.adapter.getProjectById(id);
    }
    async getProjectIntegrationById(id) {
        return this.adapter.getProjectIntegrationById(id);
    }
    getUnifiedUiAndWwwUrl() {
        return this.adapter.getUnifiedUiAndWwwUrl();
    }
}
exports.UserRepository = UserRepository;
//# sourceMappingURL=UserRepository.js.map