'use strict';
var self = deleteNode;
module.exports = self;
var nodeActions = require('../nodeActions.js');
function deleteNode(externalBag, callback) {
    var bag = {
        node: externalBag.node,
        params: {},
        providerName: externalBag.providerName,
        integrationValues: externalBag.integrationValues,
        consoleAdapter: externalBag.consoleAdapter
    };
    bag.who = util.format('marshaller|_common|%s|jFrogPipelinesSessionId:%s|' +
        'node.instanceId:%s', self.name, externalBag.jFrogPipelinesSessionId, bag.node.instanceId);
    logger.debug(bag.who, 'Starting');
    async.series([
        _checkInputParams.bind(null, bag),
        _prepData.bind(null, bag)
    ], function (err) {
        if (err)
            logger.warn(bag.who, 'failed node.instanceId:', bag.node.instanceId);
        else
            logger.debug(bag.who, 'Successfully processed node.instanceId:', bag.node.instanceId);
        return callback(err, bag.params);
    });
}
function _checkInputParams(bag, next) {
    var who = bag.who + '|' + _checkInputParams.name;
    logger.trace(who, 'Inside');
    var consoleErrors = [];
    if (consoleErrors.length > 0) {
        _.each(consoleErrors, function (e) {
            logger.warn(bag.who, e);
        });
        return next(true);
    }
    else
        return next();
}
function _prepData(bag, next) {
    var who = bag.who + '|' + _prepData.name;
    logger.trace(who, 'Inside');
    bag.params = {
        action: nodeActions.DELETE,
        nodeId: bag.node.id,
        instanceId: bag.node.instanceId,
        providerName: bag.providerName,
        consoleAdapter: bag.consoleAdapter,
        region: bag.node.providerMetadataPropertyBag &&
            bag.node.providerMetadataPropertyBag.region,
        nodeName: bag.node.friendlyName,
        nodeProviderMetadata: bag.node.providerMetadataPropertyBag || {}
    };
    bag.params = _.extend(bag.params, bag.integrationValues);
    return next();
}
//# sourceMappingURL=deleteNode.js.map