# Exporting env variables required for booting reqKick inside EC2 instance
# NOTE: this file cannot be more than 16KB
export ROOT_USER_INIT=<%= rootUserInit %>
if [ -z "$JFROG_DIR" ]; then
  if [ "$ROOT_USER_INIT" == true ]; then
    export JFROG_DIR="/var/opt/jfrog/pipelines"
  else
    export USERNAME="pipelinesRootless"
    export JFROG_DIR="/home/$USERNAME/.jfrog/pipelines"
  fi
fi
export REQKICK_DIR="$JFROG_DIR/reqKick"
export EXECTEMPLATES_DIR="$REQKICK_DIR/node_modules/@jfrog-pipelines/core/execTemplates"
export EXTENSIONS_DIR="$JFROG_DIR/extensions"
export REQEXEC_DIR="$JFROG_DIR/reqExec"
export REPORTS_DIR="$JFROG_DIR/reports"
export NODEINIT_DIR="$JFROG_DIR/nodeInit"
export REQKICK_CONFIG_DIR="$JFROG_DIR/var/etc/reqKick"
export REQKICK_SERVICE_NAME="pipelines-reqKick"
export CUSTOM_CERTS_DIR="$JFROG_DIR/var/etc/security/keys/trusted"
export CUSTOM_CERTS_FILE_LOC="/etc/ssl/certs/ca-certificates.crt"
export NODE_OPERATING_SYSTEM="<%= operatingSystem %>"
export NODE_ARCHITECTURE="<%= architecture %>"
export RUN_MODE="<%= runMode %>"
export NODE_ID="<%= nodeId %>"
export PROJECT_ID="<%= projectId %>"
export BUILD_PLANE_VERSION="<%= buildPlaneVersion %>"
export BUILDPLANE_DEB_DOWNLOAD_URL="<%= buildPlaneArtifactDownloadUrl %>"
export PIPELINES_CORE_SERVICES_WWW_EXTERNALURL="<%= wwwUrl %>"
export PIPELINES_SHARED_ARTIFACTORY_BASEURLUI="<%= baseUrlUI %>"
export PIPELINES_CORE_SERVICES_API_EXTERNALURL="<%= apiExternalUrl %>"
export CONFIGURE_NODE=false
export ENABLE_SWAP=false
export BOOT_BUILD_AGENT=true
export INSECURE_DOCKER_REGISTRIES='<%= insecureDockerRegistries %>'
export PIPELINES_NODE_API_TOKEN='<%= token %>'
export NODE_POLLER_INTERVAL_MS=<%= nodePollerIntervalMS %>
export NO_VERIFY_SSL=<%= noVerifySsl %>
export CUSTOM_CERTS_DATA=<%= customCertsData %>
export CUSTOM_CERTS_ENABLED=<%= customCertsEnabled %>

CURL_OPTS=""
if [ "$CUSTOM_CERTS_ENABLED" == true ]; then
  mkdir -p $CUSTOM_CERTS_DIR
  echo -e $CUSTOM_CERTS_DATA > $CUSTOM_CERTS_DIR/ca.crt
  cp $CUSTOM_CERTS_DIR/ca.crt /usr/local/share/ca-certificates/
  update-ca-certificates
elif [ "$NO_VERIFY_SSL" == true ]; then
  CURL_OPTS="--insecure"
fi

mkdir -p $JFROG_DIR

check_buildplane_url_status "$BUILDPLANE_DEB_DOWNLOAD_URL"

download_buildplane_file "$BUILDPLANE_DEB_DOWNLOAD_URL" "buildPlane.deb"

if [ "$ROOT_USER_INIT" == true ]; then
  if [ "$JFROG_DIR" == "/var/opt/jfrog/pipelines" ]; then
    dpkg -i buildPlane.deb
  else
    mkdir -p $JFROG_DIR
    dpkg -i --instdir=$JFROG_DIR buildPlane.deb
    mv $JFROG_DIR/var/opt/jfrog/pipelines/* $JFROG_DIR
  fi
  source $NODEINIT_DIR/$NODE_ARCHITECTURE/$NODE_OPERATING_SYSTEM/boot.sh
else
  mkdir -p /home/$USERNAME/.jfrog/pipelines
  mkdir -p /home/$USERNAME/.local/share/docker
  mkdir -p /home/$USERNAME/.config/systemd/user
  mkdir -p /home/$USERNAME/.jfrog/pipelines/var/etc/reqKick
  dpkg -x buildPlane.deb /home/$USERNAME/.jfrog/pipelines

  if [ ! -d /home/$USERNAME/.jfrog/pipelines/extensions ]; then
    mv -f /home/$USERNAME/.jfrog/pipelines/var/opt/jfrog/pipelines/* /home/$USERNAME/.jfrog/pipelines
  fi

  export XDG_RUNTIME_DIR=/run/user/1066
  export HOME=/home/$USERNAME
  export PATH=/home/$USERNAME/bin:$PATH
  export DOCKER_HOST=unix://$XDG_RUNTIME_DIR/docker.sock
  $NODEINIT_DIR/$NODE_ARCHITECTURE/$NODE_OPERATING_SYSTEM/boot.sh $ROOT_USER_INIT /home/$USERNAME
fi

if [ "$ROOT_USER_INIT" == true ]; then
  sudo -E $NODEINIT_DIR/<%= architecture %>/<%= operatingSystem %>/boot.sh
else
  sudo -E -u $USERNAME $NODEINIT_DIR/$NODE_ARCHITECTURE/$NODE_OPERATING_SYSTEM/boot.sh $ROOT_USER_INIT /home/$USERNAME
fi

update_build_node_status