'use strict';
var self = betaDockerRegistrySecretSpec;
module.exports = self;
function betaDockerRegistrySecretSpec(externalBag, callback) {
    var bag = {
        secretName: externalBag.secretName,
        dockerConfig: externalBag.dockerConfig,
        type: externalBag.type || "Opaque"
    };
    bag.who = util.format('marshaller|_common|k8s|%s|jFrogPipelinesSessionId: ' +
        '%s', self.name, externalBag.jFrogPipelinesSessionId);
    logger.debug(bag.who, 'Starting');
    async.series([
        _prepSecret.bind(null, bag)
    ], function (err) {
        if (err)
            logger.warn(bag.who, 'Failed to generate Secret spec');
        else
            logger.debug(bag.who, 'Successfully generated Secret spec');
        return callback(err, bag.secret);
    });
}
function _prepSecret(bag, next) {
    var who = self.name + '|' + _prepSecret.name;
    logger.trace(who, 'Inside');
    bag.secret = {
        name: bag.secretName,
        spec: {
            'apiVersion': 'v1',
            'kind': 'Secret',
            'metadata': {
                'name': bag.secretName
            },
            'data': {
                '.dockerconfigjson': Buffer.from(bag.dockerConfig).toString('base64')
            },
            'type': bag.type
        }
    };
    return next();
}
//# sourceMappingURL=betaDockerRegistrySecretSpec.js.map