'use strict';
var self = pvcSpec;
module.exports = self;
const { DEFAULT_DISK_SIZE } = require('../../../constants.js');
function pvcSpec(externalBag, callback) {
    var bag = {
        pvcName: externalBag.pvcName,
        storageClass: externalBag.storageClass,
        diskSizeinGB: externalBag.diskSizeinGB
    };
    bag.who = util.format('marshaller|_common|k8s|%s|jFrogPipelinesSessionId: ' +
        '%s', self.name, externalBag.jFrogPipelinesSessionId);
    logger.debug(bag.who, 'Starting');
    async.series([
        _prepPVC.bind(null, bag)
    ], function (err) {
        if (err)
            logger.warn(bag.who, 'Failed to generate PVC spec');
        else
            logger.debug(bag.who, 'Successfully generated PVC spec');
        return callback(err, bag.pvc);
    });
}
function _prepPVC(bag, next) {
    var who = self.name + '|' + _prepPVC.name;
    logger.trace(who, 'Inside');
    var diskSize = (bag.diskSizeinGB || DEFAULT_DISK_SIZE) + 'Gi';
    bag.pvc = {
        name: bag.pvcName,
        spec: {
            'apiVersion': 'v1',
            'kind': 'PersistentVolumeClaim',
            'metadata': {
                'name': bag.pvcName
            },
            'spec': {
                'accessModes': [
                    'ReadWriteOnce'
                ],
                'storageClassName': bag.storageClass,
                'resources': {
                    'requests': {
                        'storage': diskSize
                    }
                }
            }
        }
    };
    return next();
}
//# sourceMappingURL=pvcSpec.js.map