'use strict';
var self = updateUrlSettings;
module.exports = self;
function updateUrlSettings(externalBag, callback) {
    var bag = {
        suAdapter: externalBag.suAdapter,
        jFrogPipelinesSessionId: externalBag.jFrogPipelinesSessionId
    };
    bag.who = util.format('nod|_global|pipelines|%s', self.name);
    logger.trace(bag.who, 'Starting');
    async.series([
        _checkInputParams.bind(null, bag),
        _getUrlSettingsSystemConfig.bind(null, bag)
    ], function (err) {
        logger.trace(bag.who, 'completed');
        return callback(err);
    });
}
function _checkInputParams(bag, next) {
    var who = bag.who + '|' + _checkInputParams.name;
    logger.trace(who, 'Inside');
    if (!bag.suAdapter) {
        logger.warn(who, 'Missing suAdapter');
        return next(true);
    }
    return next();
}
function _getUrlSettingsSystemConfig(bag, next) {
    var who = bag.who + '|' + _getUrlSettingsSystemConfig.name;
    logger.trace(who, 'Inside');
    bag.suAdapter.getSystemConfigByName('urlSettings', function (err, systemConfig) {
        if (err) {
            logger.warn(who, 'Failed get system config.', err);
            return next(true);
        }
        if (systemConfig && systemConfig.configValue) {
            if (systemConfig.configValue.externalApiUrl)
                global.config.apiExternalUrl =
                    systemConfig.configValue.externalApiUrl;
        }
        return next();
    });
}
//# sourceMappingURL=updateUrlSettings.js.map