"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BuildPlaneMessageService_1 = require("../buildPlaneMessage/BuildPlaneMessageService");
const FeatureAwareFactory_1 = require("../FeatureAwareFactory");
const featureFlag_1 = require("../featureFlag");
describe('#Test FeatureAwareFactory #getRequiredNodes', () => {
    it('should return actual buildPlane Message count if feature flag is disabled', async () => {
        const expectedCount = 1;
        jest.spyOn(BuildPlaneMessageService_1.BuildPlaneMessageService.prototype, 'getReadyMessageCount').mockResolvedValueOnce(expectedCount);
        jest.spyOn(featureFlag_1.FeatureFlag.prototype, 'isHotNodePoolEnabled').mockResolvedValueOnce(false);
        const features = new FeatureAwareFactory_1.FeatureAwareFactory();
        const gotCount = await features.getRequiredNodes(1);
        expect(gotCount).toBe(expectedCount);
    });
    it('should return  buildPlane Message count incremented  by one if feature flag is enabled', async () => {
        const expectedCount = 1;
        jest.spyOn(BuildPlaneMessageService_1.BuildPlaneMessageService.prototype, 'getReadyMessageCount').mockResolvedValueOnce(expectedCount);
        jest.spyOn(featureFlag_1.FeatureFlag.prototype, 'isHotNodePoolEnabled').mockResolvedValueOnce(true);
        const features = new FeatureAwareFactory_1.FeatureAwareFactory();
        const gotCount = await features.getRequiredNodes(1);
        expect(gotCount).toBe(expectedCount + 1);
    });
});
//# sourceMappingURL=FeatureAwareFactory.test.js.map