"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureFlag = void 0;
const logger_1 = require("@jfrog-pipelines/logger");
const SystemConfigDao_1 = require("./SystemConfigDao");
var FeatureNames;
(function (FeatureNames) {
    FeatureNames["experimentalProperties"] = "experimentalProperties";
})(FeatureNames || (FeatureNames = {}));
class FeatureFlag {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('FeatureFlags');
        this.systemConfigDao = new SystemConfigDao_1.SystemConfigDao();
    }
    async isHotNodePoolEnabled() {
        try {
            const config = await this.systemConfigDao.findByConfigName(FeatureNames.experimentalProperties);
            if (config?.configValue?.hotNodePoolsEnabled) {
                return true;
            }
        }
        catch (error) {
            this.logger.warn(`Failed to get feature flags`, error);
        }
        return false;
    }
}
exports.FeatureFlag = FeatureFlag;
//# sourceMappingURL=FeatureFlag.js.map