"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const jest_matcher_1 = require("@jfrog-pipelines/jest-matcher");
const SystemConfigDao_1 = require("../SystemConfigDao");
describe('Test SystemConfigDao #findByConfigName', () => {
    it('should return null when query not found', async () => {
        const systemConfigDao = new SystemConfigDao_1.SystemConfigDao();
        jest.spyOn(data_access_layer_1.CrudRepository.prototype, 'findOne').mockResolvedValueOnce((0, jest_matcher_1.modelMock)({}));
        const queryResponse = await systemConfigDao.findByConfigName('experimentalProperties');
        expect(queryResponse.configValue).toBe(undefined);
        expect(queryResponse.configName).toBe(undefined);
    });
    it('should return SystemConfigAttributes  object when found', async () => {
        const systemConfigDao = new SystemConfigDao_1.SystemConfigDao();
        const expectedReponse = {
            configName: 'experimentalProperties',
            configValue: { hotNodePoolsEnabled: true }
        };
        const spyQuery = jest
            .spyOn(data_access_layer_1.CrudRepository.prototype, 'findOne')
            .mockResolvedValueOnce((0, jest_matcher_1.modelMock)(expectedReponse));
        const queryResponse = await systemConfigDao.findByConfigName('experimentalProperties');
        expect(queryResponse).toBe(expectedReponse);
        spyQuery.mockClear();
    });
});
//# sourceMappingURL=SystemConfigDao.test.js.map