"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NodeConsoleDao_1 = require("../NodeConsoleDao");
const NodeConsoleService_1 = require("../NodeConsoleService");
describe('NodeConsoleService', () => {
    const consoleMessage = 'checkConsoleMessage';
    const nodeId = 1;
    const nodeConsoleService = new NodeConsoleService_1.NodeConsoleService();
    it('should add node console to nodeConsole table', async () => {
        const expectConsoleLog = {
            nodeId: nodeId,
            consoleId: expect.any(String),
            parentConsoleId: 'root',
            isShown: true,
            type: 'msg',
            timestamp: expect.any(Number),
            message: consoleMessage
        };
        jest.spyOn(NodeConsoleDao_1.NodeConsoleDao.prototype, 'create').mockImplementation(jest.fn());
        await nodeConsoleService.push(consoleMessage, nodeId);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.create).toHaveBeenCalledTimes(1);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.create).toHaveBeenCalledWith(expectConsoleLog);
    });
    it('should delete console log based on node id', async () => {
        const expectedQuery = {
            where: {
                nodeId: nodeId
            }
        };
        jest.spyOn(NodeConsoleDao_1.NodeConsoleDao.prototype, 'delete').mockImplementation(jest.fn());
        await nodeConsoleService.deleteByNodeId(nodeId);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.delete).toHaveBeenCalledTimes(1);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.delete).toHaveBeenCalledWith(expectedQuery);
    });
});
//# sourceMappingURL=NodeConsoleService.test.js.map