"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeStatsService = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const NodeStatsDao_1 = require("./NodeStatsDao");
class NodeStatsService {
    constructor() {
        this.nodeStatsDao = new NodeStatsDao_1.NodeStatsDao();
    }
    async deleteNodeStats(reportedBefore) {
        const query = new data_access_layer_1.SequelizeQueryBuilder({})
            .whereWithOperator('reportedAt', reportedBefore, data_access_layer_1.operatorsKey.$lt)
            .build();
        return this.nodeStatsDao.delete(query);
    }
    async deleteByNodeId(nodeId) {
        const query = new data_access_layer_1.SequelizeQueryBuilder({}).where('nodeId', nodeId).build();
        return this.nodeStatsDao.delete(query);
    }
    async getLatestNodeStatForNode(nodeId) {
        const queryObject = {
            limit: 1,
            sortBy: 'reportedAt',
            sortOrder: 'DESC'
        };
        const getNodeStatsQuery = new data_access_layer_1.SequelizeQueryBuilder(queryObject).where('nodeId', nodeId).sort().limit().build();
        return this.nodeStatsDao.findOne(getNodeStatsQuery);
    }
}
exports.NodeStatsService = NodeStatsService;
//# sourceMappingURL=NodeStatsService.js.map