"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeConsoleGet = exports.NodeConsolePost = void 0;
const types_1 = require("@jfrog-pipelines/types");
exports.NodeConsolePost = {
    tags: ['NodeConsole'],
    description: 'Create a new node console',
    body: types_1.NodeConsoleRequestSchema,
    params: types_1.NodeIdParameters,
    response: {
        201: { type: 'object', properties: {}, description: 'The node console was created' }
    }
};
exports.NodeConsoleGet = {
    tags: ['NodeConsole'],
    description: 'Get node console by node id',
    params: types_1.NodeIdParameters,
    querystring: types_1.NodeConsoleQuerySchema,
    response: {
        201: {
            description: 'List node console',
            content: {
                'application/json': {
                    schema: {
                        type: 'array',
                        items: types_1.NodeConsoleResponseReference
                    }
                }
            }
        },
        500: {
            description: 'Internal Server Error',
            content: {
                'application/json': {
                    schema: types_1.ErrorSchema
                }
            }
        }
    }
};
//# sourceMappingURL=NodeConsoleSchema.js.map